GET
Use dark colors for code blocksCopy
1
/{orgId}/{itemId}/webhookConnections/{connectionId}
Get a webhook connection

Gets a webhook connection from Workflow Manager.

Note: See Webhooks in ArcGIS Online for the privileges required to manage service webhooks.

The following information is returned in the webhook connection object:

  • connectionId: The webhook connection ID.
  • connectionName: The webhook connection name.
  • itemId: The service item ID for the webhook.
  • secret: The secret key to be used when executing the service webhook.
  • enabled: If true, Workflow Manager will process incoming webhooks. If false, Workflow Manager will not process incoming webhooks.
  • username: The username of the user designated to perform the actions triggered by a webhook, if one is designated.
  • fallbackUsername: The username of the alternate user designated to perform the actions triggered by a webhook, if one is designated.
  • webhookType: The type of service webhook associated with the webhook connection. Only FeatureService is accepted.

If a service webhook has been created for this webhook connection and the user has privileges to manage the service webhook, the following information is also included:

  • webhookActive: true if the service webhook is active, and false if it is inactive.
  • webhookChangeTypes: List of events that will trigger the associated service webhook.
  • managedWebhookId: The ID of the service webhook.

Query parameters

NameTypeRequired
tokenstring¦null

Path parameters

NameTypeRequired
connectionIdstring
orgIdstring
itemIdstring

Response status

StatusMeaningDescriptionSchema
200OK

A webhook connection object

WebhookConnectionResponse
400Bad Request

error

WorkflowExceptionDTO

Examples

Request

Use dark colors for code blocksCopy
1
2
3
# You can also use wget
curl -X GET '/{orgId}/{itemId}/webhookConnections/{connectionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN>'

Response

Use dark colors for code blocksCopy
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
{
  "connectionId": "string",
  "connectionName": "string",
  "itemId": "string",
  "webhookType": "FeatureService",
  "secret": "string",
  "enabled": true,
  "webhookActive": true,
  "webhookChangeTypes": [
    "FeaturesUpdated"
  ],
  "username": "string",
  "fallbackUsername": "string",
  "managedWebhookId": "string"
}

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.